## TSUNA_BlockChain Dockerfile.
# Set runtime to client-go (no need tools)
FROM ethereum/client-go:v1.8.15
# Setup environment to contain bash
WORKDIR /geth/
RUN apk add bash
SHELL ["/bin/bash", "-c"]

# Upload the genesis file
ADD ./genesis.json /geth/

# Upload init file
ADD ./init.sh /geth/

# Upload clearlogs.sh
ADD ./clearlogs.sh /geth/

# Make init file executable
RUN chmod 755 init.sh && chmod 755 clearlogs.sh

# Expose certain ports
EXPOSE 30303 30303/udp 8080 8081 8082 8083

# Run required applications when container starts
ENTRYPOINT ["./init.sh"]
CMD [""]
